﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Goshoom.DynamicsAX
{
    [Serializable]
    public class Fault
    {
        private int column;
        private DateTime compilationTime;
        private string elementName;
        private int faultCode;
        private string faultMessage;
        private string faultString;
        private FaultType faultType;
        private UtilElementType elementType;
        private int line;
        private string methodName;
        private string propertyName;
        private string treeNodePath;

        public int Column
        {
            get { return column; }
            set { column = value; }
        }
        public DateTime CompilationTime
        {
            get { return compilationTime; }
            set { compilationTime = value; }
        }
        public string ElementName
        {
            get { return elementName; }
            set { elementName = value; }
        }

        public UtilElementType ElementType
        {
            get { return elementType; }
            set { elementType = value; }
        }
        public int FaultCode
        {
            get { return faultCode; }
            set { faultCode = value; }
        }
        public string FaultMessage
        {
            get { return faultMessage; }
            set { faultMessage = value; }
        }
        public string FaultString
        {
            get { return faultString; }
            set { faultString = value; }
        }
        public FaultType FaultType
        {
            get { return faultType; }
            set { faultType = value; }
        }        
        public int Line
        {
            get { return line; }
            set { line = value; }
        }
        public string MethodName
        {
            get { return methodName; }
            set { methodName = value; }
        }
        public string PropertyName
        {
            get { return propertyName; }
            set { propertyName = value; }
        }
        public string TreeNodePath
        {
            get { return treeNodePath; }
            set { treeNodePath = value; }
        }
    }
}
